/vaults
Get all vaults info
Get all vaults info
Query Parameters
DEPRECATED: Use status instead. Legacy status filter. true returns active vaults; false returns non-active vaults. Ignored when status is provided.
trueFilter vaults by CMS status. Defaults to active. Use all to include every vault regardless of CMS status.
Value in
- "active"
- "disabled"
- "coming_soon"
- "hidden"
- "all"
Response Body
application/json
application/json
curl -X GET "https://example.com/vaults"{ "data": [ { "vaultType": "boring", "category": "nestVault", "vaultAddress": "string", "nestShareOftAddress": "string", "nestVaults": [ { "nestVaultAddress": "string", "asset": "string", "chainAssets": [ { "chainId": 1, "assetAddress": "string" } ] } ], "nestComposers": [ { "asset": "string", "composerAddress": "string", "assetAddress": "string" } ], "accountantAddress": "string", "isHubAccountant": false, "nestAccountant": { "address": "string", "isHub": false, "chain": { "mainnet": { "startBlock": 0, "accountantType": "spoke" }, "base": { "startBlock": 0, "accountantType": "spoke" }, "plume": { "startBlock": 0, "accountantType": "spoke" }, "plasma": { "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "startBlock": 0, "accountantType": "spoke" }, "bsc": { "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "startBlock": 0, "accountantType": "spoke" } } }, "authorityAddress": "string", "tellerContractAddress": "string", "decimals": 0, "decimalsOverride": [ { "56": 18 } ], "chain": { "mainnet": { "startBlock": 0, "accountantType": "spoke" }, "base": { "startBlock": 0, "accountantType": "spoke" }, "plume": { "startBlock": 0, "accountantType": "spoke" }, "plasma": { "startBlock": 0, "accountantType": "spoke" }, "arbitrum": { "startBlock": 0, "accountantType": "spoke" }, "bsc": { "startBlock": 0, "accountantType": "spoke" }, "worldchain": { "startBlock": 0, "accountantType": "spoke" }, "avalanche": { "startBlock": 0, "accountantType": "spoke" } }, "solana": { "mintAddress": "string", "oftStoreAddress": "string", "composerAddress": "string", "decimals": 0, "startBlock": 0 }, "liquidAssets": [ { "contractAddress": "string", "symbol": "string", "iconUrl": "string", "decimals": 0, "price": 0, "chainId": 0, "minimumSourceRules": [ { "sourceChain": 1, "sourceParams": { "excludeWallets": [ "string" ] } } ] } ], "slug": "string", "name": "string", "symbol": "string", "icon": "string", "iconMini": "string", "targetComposition": [ { "slug": "string", "name": "string", "description": "string", "image": "string" } ], "sec30d": 0, "tvl": 0, "numHolders": 0, "volume24h": 0 } ]}/user/{address}/vaults/{slug}/transaction-history GET
Get user transaction history
/vaults/apy GET
Get 7d, 30d and SEC 30d APYs for all vaults. `compositionApy` is the composition-weighted yield APY based on underlying yield-bearing assets (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes.